Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network222.9.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
222.9.32.0
Broadcast address
222.9.63.255
First usable
222.9.32.1
Last usable
222.9.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
C (default /24)
As numbers
Hex DE092000 · Integer 3725139968 to 3725148159
Reverse DNS zones
32.9.222.in-addr.arpa
33.9.222.in-addr.arpa
34.9.222.in-addr.arpa
35.9.222.in-addr.arpa
36.9.222.in-addr.arpa
37.9.222.in-addr.arpa
38.9.222.in-addr.arpa
39.9.222.in-addr.arpa
40.9.222.in-addr.arpa
41.9.222.in-addr.arpa
42.9.222.in-addr.arpa
43.9.222.in-addr.arpa
44.9.222.in-addr.arpa
45.9.222.in-addr.arpa
46.9.222.in-addr.arpa
47.9.222.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011110.00001001.00100000.00000000222.9.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11011110.00001001.00100000.00000000222.9.32.0
Broadcast11011110.00001001.00111111.11111111222.9.63.255
Split into smaller subnets/29

222.9.32.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1222.9.32.0/29222.9.32.1 to 222.9.32.6222.9.32.76
2222.9.32.8/29222.9.32.9 to 222.9.32.14222.9.32.156
3222.9.32.16/29222.9.32.17 to 222.9.32.22222.9.32.236
4222.9.32.24/29222.9.32.25 to 222.9.32.30222.9.32.316
5222.9.32.32/29222.9.32.33 to 222.9.32.38222.9.32.396
6222.9.32.40/29222.9.32.41 to 222.9.32.46222.9.32.476
7222.9.32.48/29222.9.32.49 to 222.9.32.54222.9.32.556
8222.9.32.56/29222.9.32.57 to 222.9.32.62222.9.32.636
9222.9.32.64/29222.9.32.65 to 222.9.32.70222.9.32.716
10222.9.32.72/29222.9.32.73 to 222.9.32.78222.9.32.796
11222.9.32.80/29222.9.32.81 to 222.9.32.86222.9.32.876
12222.9.32.88/29222.9.32.89 to 222.9.32.94222.9.32.956
13222.9.32.96/29222.9.32.97 to 222.9.32.102222.9.32.1036
14222.9.32.104/29222.9.32.105 to 222.9.32.110222.9.32.1116
15222.9.32.112/29222.9.32.113 to 222.9.32.118222.9.32.1196
16222.9.32.120/29222.9.32.121 to 222.9.32.126222.9.32.1276
17222.9.32.128/29222.9.32.129 to 222.9.32.134222.9.32.1356
18222.9.32.136/29222.9.32.137 to 222.9.32.142222.9.32.1436
19222.9.32.144/29222.9.32.145 to 222.9.32.150222.9.32.1516
20222.9.32.152/29222.9.32.153 to 222.9.32.158222.9.32.1596
21222.9.32.160/29222.9.32.161 to 222.9.32.166222.9.32.1676
22222.9.32.168/29222.9.32.169 to 222.9.32.174222.9.32.1756
23222.9.32.176/29222.9.32.177 to 222.9.32.182222.9.32.1836
24222.9.32.184/29222.9.32.185 to 222.9.32.190222.9.32.1916
25222.9.32.192/29222.9.32.193 to 222.9.32.198222.9.32.1996
26222.9.32.200/29222.9.32.201 to 222.9.32.206222.9.32.2076
27222.9.32.208/29222.9.32.209 to 222.9.32.214222.9.32.2156
28222.9.32.216/29222.9.32.217 to 222.9.32.222222.9.32.2236
29222.9.32.224/29222.9.32.225 to 222.9.32.230222.9.32.2316
30222.9.32.232/29222.9.32.233 to 222.9.32.238222.9.32.2396
31222.9.32.240/29222.9.32.241 to 222.9.32.246222.9.32.2476
32222.9.32.248/29222.9.32.249 to 222.9.32.254222.9.32.2556
33222.9.33.0/29222.9.33.1 to 222.9.33.6222.9.33.76
34222.9.33.8/29222.9.33.9 to 222.9.33.14222.9.33.156
35222.9.33.16/29222.9.33.17 to 222.9.33.22222.9.33.236
36222.9.33.24/29222.9.33.25 to 222.9.33.30222.9.33.316
37222.9.33.32/29222.9.33.33 to 222.9.33.38222.9.33.396
38222.9.33.40/29222.9.33.41 to 222.9.33.46222.9.33.476
39222.9.33.48/29222.9.33.49 to 222.9.33.54222.9.33.556
40222.9.33.56/29222.9.33.57 to 222.9.33.62222.9.33.636
41222.9.33.64/29222.9.33.65 to 222.9.33.70222.9.33.716
42222.9.33.72/29222.9.33.73 to 222.9.33.78222.9.33.796
43222.9.33.80/29222.9.33.81 to 222.9.33.86222.9.33.876
44222.9.33.88/29222.9.33.89 to 222.9.33.94222.9.33.956
45222.9.33.96/29222.9.33.97 to 222.9.33.102222.9.33.1036
46222.9.33.104/29222.9.33.105 to 222.9.33.110222.9.33.1116
47222.9.33.112/29222.9.33.113 to 222.9.33.118222.9.33.1196
48222.9.33.120/29222.9.33.121 to 222.9.33.126222.9.33.1276
49222.9.33.128/29222.9.33.129 to 222.9.33.134222.9.33.1356
50222.9.33.136/29222.9.33.137 to 222.9.33.142222.9.33.1436
51222.9.33.144/29222.9.33.145 to 222.9.33.150222.9.33.1516
52222.9.33.152/29222.9.33.153 to 222.9.33.158222.9.33.1596
53222.9.33.160/29222.9.33.161 to 222.9.33.166222.9.33.1676
54222.9.33.168/29222.9.33.169 to 222.9.33.174222.9.33.1756
55222.9.33.176/29222.9.33.177 to 222.9.33.182222.9.33.1836
56222.9.33.184/29222.9.33.185 to 222.9.33.190222.9.33.1916
57222.9.33.192/29222.9.33.193 to 222.9.33.198222.9.33.1996
58222.9.33.200/29222.9.33.201 to 222.9.33.206222.9.33.2076
59222.9.33.208/29222.9.33.209 to 222.9.33.214222.9.33.2156
60222.9.33.216/29222.9.33.217 to 222.9.33.222222.9.33.2236
61222.9.33.224/29222.9.33.225 to 222.9.33.230222.9.33.2316
62222.9.33.232/29222.9.33.233 to 222.9.33.238222.9.33.2396
63222.9.33.240/29222.9.33.241 to 222.9.33.246222.9.33.2476
64222.9.33.248/29222.9.33.249 to 222.9.33.254222.9.33.2556
65222.9.34.0/29222.9.34.1 to 222.9.34.6222.9.34.76
66222.9.34.8/29222.9.34.9 to 222.9.34.14222.9.34.156
67222.9.34.16/29222.9.34.17 to 222.9.34.22222.9.34.236
68222.9.34.24/29222.9.34.25 to 222.9.34.30222.9.34.316
69222.9.34.32/29222.9.34.33 to 222.9.34.38222.9.34.396
70222.9.34.40/29222.9.34.41 to 222.9.34.46222.9.34.476
71222.9.34.48/29222.9.34.49 to 222.9.34.54222.9.34.556
72222.9.34.56/29222.9.34.57 to 222.9.34.62222.9.34.636
73222.9.34.64/29222.9.34.65 to 222.9.34.70222.9.34.716
74222.9.34.72/29222.9.34.73 to 222.9.34.78222.9.34.796
75222.9.34.80/29222.9.34.81 to 222.9.34.86222.9.34.876
76222.9.34.88/29222.9.34.89 to 222.9.34.94222.9.34.956
77222.9.34.96/29222.9.34.97 to 222.9.34.102222.9.34.1036
78222.9.34.104/29222.9.34.105 to 222.9.34.110222.9.34.1116
79222.9.34.112/29222.9.34.113 to 222.9.34.118222.9.34.1196
80222.9.34.120/29222.9.34.121 to 222.9.34.126222.9.34.1276
81222.9.34.128/29222.9.34.129 to 222.9.34.134222.9.34.1356
82222.9.34.136/29222.9.34.137 to 222.9.34.142222.9.34.1436
83222.9.34.144/29222.9.34.145 to 222.9.34.150222.9.34.1516
84222.9.34.152/29222.9.34.153 to 222.9.34.158222.9.34.1596
85222.9.34.160/29222.9.34.161 to 222.9.34.166222.9.34.1676
86222.9.34.168/29222.9.34.169 to 222.9.34.174222.9.34.1756
87222.9.34.176/29222.9.34.177 to 222.9.34.182222.9.34.1836
88222.9.34.184/29222.9.34.185 to 222.9.34.190222.9.34.1916
89222.9.34.192/29222.9.34.193 to 222.9.34.198222.9.34.1996
90222.9.34.200/29222.9.34.201 to 222.9.34.206222.9.34.2076
91222.9.34.208/29222.9.34.209 to 222.9.34.214222.9.34.2156
92222.9.34.216/29222.9.34.217 to 222.9.34.222222.9.34.2236
93222.9.34.224/29222.9.34.225 to 222.9.34.230222.9.34.2316
94222.9.34.232/29222.9.34.233 to 222.9.34.238222.9.34.2396
95222.9.34.240/29222.9.34.241 to 222.9.34.246222.9.34.2476
96222.9.34.248/29222.9.34.249 to 222.9.34.254222.9.34.2556
97222.9.35.0/29222.9.35.1 to 222.9.35.6222.9.35.76
98222.9.35.8/29222.9.35.9 to 222.9.35.14222.9.35.156
99222.9.35.16/29222.9.35.17 to 222.9.35.22222.9.35.236
100222.9.35.24/29222.9.35.25 to 222.9.35.30222.9.35.316
101222.9.35.32/29222.9.35.33 to 222.9.35.38222.9.35.396
102222.9.35.40/29222.9.35.41 to 222.9.35.46222.9.35.476
103222.9.35.48/29222.9.35.49 to 222.9.35.54222.9.35.556
104222.9.35.56/29222.9.35.57 to 222.9.35.62222.9.35.636
105222.9.35.64/29222.9.35.65 to 222.9.35.70222.9.35.716
106222.9.35.72/29222.9.35.73 to 222.9.35.78222.9.35.796
107222.9.35.80/29222.9.35.81 to 222.9.35.86222.9.35.876
108222.9.35.88/29222.9.35.89 to 222.9.35.94222.9.35.956
109222.9.35.96/29222.9.35.97 to 222.9.35.102222.9.35.1036
110222.9.35.104/29222.9.35.105 to 222.9.35.110222.9.35.1116
111222.9.35.112/29222.9.35.113 to 222.9.35.118222.9.35.1196
112222.9.35.120/29222.9.35.121 to 222.9.35.126222.9.35.1276
113222.9.35.128/29222.9.35.129 to 222.9.35.134222.9.35.1356
114222.9.35.136/29222.9.35.137 to 222.9.35.142222.9.35.1436
115222.9.35.144/29222.9.35.145 to 222.9.35.150222.9.35.1516
116222.9.35.152/29222.9.35.153 to 222.9.35.158222.9.35.1596
117222.9.35.160/29222.9.35.161 to 222.9.35.166222.9.35.1676
118222.9.35.168/29222.9.35.169 to 222.9.35.174222.9.35.1756
119222.9.35.176/29222.9.35.177 to 222.9.35.182222.9.35.1836
120222.9.35.184/29222.9.35.185 to 222.9.35.190222.9.35.1916
121222.9.35.192/29222.9.35.193 to 222.9.35.198222.9.35.1996
122222.9.35.200/29222.9.35.201 to 222.9.35.206222.9.35.2076
123222.9.35.208/29222.9.35.209 to 222.9.35.214222.9.35.2156
124222.9.35.216/29222.9.35.217 to 222.9.35.222222.9.35.2236
125222.9.35.224/29222.9.35.225 to 222.9.35.230222.9.35.2316
126222.9.35.232/29222.9.35.233 to 222.9.35.238222.9.35.2396
127222.9.35.240/29222.9.35.241 to 222.9.35.246222.9.35.2476
128222.9.35.248/29222.9.35.249 to 222.9.35.254222.9.35.2556
129222.9.36.0/29222.9.36.1 to 222.9.36.6222.9.36.76
130222.9.36.8/29222.9.36.9 to 222.9.36.14222.9.36.156
131222.9.36.16/29222.9.36.17 to 222.9.36.22222.9.36.236
132222.9.36.24/29222.9.36.25 to 222.9.36.30222.9.36.316
133222.9.36.32/29222.9.36.33 to 222.9.36.38222.9.36.396
134222.9.36.40/29222.9.36.41 to 222.9.36.46222.9.36.476
135222.9.36.48/29222.9.36.49 to 222.9.36.54222.9.36.556
136222.9.36.56/29222.9.36.57 to 222.9.36.62222.9.36.636
137222.9.36.64/29222.9.36.65 to 222.9.36.70222.9.36.716
138222.9.36.72/29222.9.36.73 to 222.9.36.78222.9.36.796
139222.9.36.80/29222.9.36.81 to 222.9.36.86222.9.36.876
140222.9.36.88/29222.9.36.89 to 222.9.36.94222.9.36.956
141222.9.36.96/29222.9.36.97 to 222.9.36.102222.9.36.1036
142222.9.36.104/29222.9.36.105 to 222.9.36.110222.9.36.1116
143222.9.36.112/29222.9.36.113 to 222.9.36.118222.9.36.1196
144222.9.36.120/29222.9.36.121 to 222.9.36.126222.9.36.1276
145222.9.36.128/29222.9.36.129 to 222.9.36.134222.9.36.1356
146222.9.36.136/29222.9.36.137 to 222.9.36.142222.9.36.1436
147222.9.36.144/29222.9.36.145 to 222.9.36.150222.9.36.1516
148222.9.36.152/29222.9.36.153 to 222.9.36.158222.9.36.1596
149222.9.36.160/29222.9.36.161 to 222.9.36.166222.9.36.1676
150222.9.36.168/29222.9.36.169 to 222.9.36.174222.9.36.1756
151222.9.36.176/29222.9.36.177 to 222.9.36.182222.9.36.1836
152222.9.36.184/29222.9.36.185 to 222.9.36.190222.9.36.1916
153222.9.36.192/29222.9.36.193 to 222.9.36.198222.9.36.1996
154222.9.36.200/29222.9.36.201 to 222.9.36.206222.9.36.2076
155222.9.36.208/29222.9.36.209 to 222.9.36.214222.9.36.2156
156222.9.36.216/29222.9.36.217 to 222.9.36.222222.9.36.2236
157222.9.36.224/29222.9.36.225 to 222.9.36.230222.9.36.2316
158222.9.36.232/29222.9.36.233 to 222.9.36.238222.9.36.2396
159222.9.36.240/29222.9.36.241 to 222.9.36.246222.9.36.2476
160222.9.36.248/29222.9.36.249 to 222.9.36.254222.9.36.2556
161222.9.37.0/29222.9.37.1 to 222.9.37.6222.9.37.76
162222.9.37.8/29222.9.37.9 to 222.9.37.14222.9.37.156
163222.9.37.16/29222.9.37.17 to 222.9.37.22222.9.37.236
164222.9.37.24/29222.9.37.25 to 222.9.37.30222.9.37.316
165222.9.37.32/29222.9.37.33 to 222.9.37.38222.9.37.396
166222.9.37.40/29222.9.37.41 to 222.9.37.46222.9.37.476
167222.9.37.48/29222.9.37.49 to 222.9.37.54222.9.37.556
168222.9.37.56/29222.9.37.57 to 222.9.37.62222.9.37.636
169222.9.37.64/29222.9.37.65 to 222.9.37.70222.9.37.716
170222.9.37.72/29222.9.37.73 to 222.9.37.78222.9.37.796
171222.9.37.80/29222.9.37.81 to 222.9.37.86222.9.37.876
172222.9.37.88/29222.9.37.89 to 222.9.37.94222.9.37.956
173222.9.37.96/29222.9.37.97 to 222.9.37.102222.9.37.1036
174222.9.37.104/29222.9.37.105 to 222.9.37.110222.9.37.1116
175222.9.37.112/29222.9.37.113 to 222.9.37.118222.9.37.1196
176222.9.37.120/29222.9.37.121 to 222.9.37.126222.9.37.1276
177222.9.37.128/29222.9.37.129 to 222.9.37.134222.9.37.1356
178222.9.37.136/29222.9.37.137 to 222.9.37.142222.9.37.1436
179222.9.37.144/29222.9.37.145 to 222.9.37.150222.9.37.1516
180222.9.37.152/29222.9.37.153 to 222.9.37.158222.9.37.1596
181222.9.37.160/29222.9.37.161 to 222.9.37.166222.9.37.1676
182222.9.37.168/29222.9.37.169 to 222.9.37.174222.9.37.1756
183222.9.37.176/29222.9.37.177 to 222.9.37.182222.9.37.1836
184222.9.37.184/29222.9.37.185 to 222.9.37.190222.9.37.1916
185222.9.37.192/29222.9.37.193 to 222.9.37.198222.9.37.1996
186222.9.37.200/29222.9.37.201 to 222.9.37.206222.9.37.2076
187222.9.37.208/29222.9.37.209 to 222.9.37.214222.9.37.2156
188222.9.37.216/29222.9.37.217 to 222.9.37.222222.9.37.2236
189222.9.37.224/29222.9.37.225 to 222.9.37.230222.9.37.2316
190222.9.37.232/29222.9.37.233 to 222.9.37.238222.9.37.2396
191222.9.37.240/29222.9.37.241 to 222.9.37.246222.9.37.2476
192222.9.37.248/29222.9.37.249 to 222.9.37.254222.9.37.2556
193222.9.38.0/29222.9.38.1 to 222.9.38.6222.9.38.76
194222.9.38.8/29222.9.38.9 to 222.9.38.14222.9.38.156
195222.9.38.16/29222.9.38.17 to 222.9.38.22222.9.38.236
196222.9.38.24/29222.9.38.25 to 222.9.38.30222.9.38.316
197222.9.38.32/29222.9.38.33 to 222.9.38.38222.9.38.396
198222.9.38.40/29222.9.38.41 to 222.9.38.46222.9.38.476
199222.9.38.48/29222.9.38.49 to 222.9.38.54222.9.38.556
200222.9.38.56/29222.9.38.57 to 222.9.38.62222.9.38.636
201222.9.38.64/29222.9.38.65 to 222.9.38.70222.9.38.716
202222.9.38.72/29222.9.38.73 to 222.9.38.78222.9.38.796
203222.9.38.80/29222.9.38.81 to 222.9.38.86222.9.38.876
204222.9.38.88/29222.9.38.89 to 222.9.38.94222.9.38.956
205222.9.38.96/29222.9.38.97 to 222.9.38.102222.9.38.1036
206222.9.38.104/29222.9.38.105 to 222.9.38.110222.9.38.1116
207222.9.38.112/29222.9.38.113 to 222.9.38.118222.9.38.1196
208222.9.38.120/29222.9.38.121 to 222.9.38.126222.9.38.1276
209222.9.38.128/29222.9.38.129 to 222.9.38.134222.9.38.1356
210222.9.38.136/29222.9.38.137 to 222.9.38.142222.9.38.1436
211222.9.38.144/29222.9.38.145 to 222.9.38.150222.9.38.1516
212222.9.38.152/29222.9.38.153 to 222.9.38.158222.9.38.1596
213222.9.38.160/29222.9.38.161 to 222.9.38.166222.9.38.1676
214222.9.38.168/29222.9.38.169 to 222.9.38.174222.9.38.1756
215222.9.38.176/29222.9.38.177 to 222.9.38.182222.9.38.1836
216222.9.38.184/29222.9.38.185 to 222.9.38.190222.9.38.1916
217222.9.38.192/29222.9.38.193 to 222.9.38.198222.9.38.1996
218222.9.38.200/29222.9.38.201 to 222.9.38.206222.9.38.2076
219222.9.38.208/29222.9.38.209 to 222.9.38.214222.9.38.2156
220222.9.38.216/29222.9.38.217 to 222.9.38.222222.9.38.2236
221222.9.38.224/29222.9.38.225 to 222.9.38.230222.9.38.2316
222222.9.38.232/29222.9.38.233 to 222.9.38.238222.9.38.2396
223222.9.38.240/29222.9.38.241 to 222.9.38.246222.9.38.2476
224222.9.38.248/29222.9.38.249 to 222.9.38.254222.9.38.2556
225222.9.39.0/29222.9.39.1 to 222.9.39.6222.9.39.76
226222.9.39.8/29222.9.39.9 to 222.9.39.14222.9.39.156
227222.9.39.16/29222.9.39.17 to 222.9.39.22222.9.39.236
228222.9.39.24/29222.9.39.25 to 222.9.39.30222.9.39.316
229222.9.39.32/29222.9.39.33 to 222.9.39.38222.9.39.396
230222.9.39.40/29222.9.39.41 to 222.9.39.46222.9.39.476
231222.9.39.48/29222.9.39.49 to 222.9.39.54222.9.39.556
232222.9.39.56/29222.9.39.57 to 222.9.39.62222.9.39.636
233222.9.39.64/29222.9.39.65 to 222.9.39.70222.9.39.716
234222.9.39.72/29222.9.39.73 to 222.9.39.78222.9.39.796
235222.9.39.80/29222.9.39.81 to 222.9.39.86222.9.39.876
236222.9.39.88/29222.9.39.89 to 222.9.39.94222.9.39.956
237222.9.39.96/29222.9.39.97 to 222.9.39.102222.9.39.1036
238222.9.39.104/29222.9.39.105 to 222.9.39.110222.9.39.1116
239222.9.39.112/29222.9.39.113 to 222.9.39.118222.9.39.1196
240222.9.39.120/29222.9.39.121 to 222.9.39.126222.9.39.1276
241222.9.39.128/29222.9.39.129 to 222.9.39.134222.9.39.1356
242222.9.39.136/29222.9.39.137 to 222.9.39.142222.9.39.1436
243222.9.39.144/29222.9.39.145 to 222.9.39.150222.9.39.1516
244222.9.39.152/29222.9.39.153 to 222.9.39.158222.9.39.1596
245222.9.39.160/29222.9.39.161 to 222.9.39.166222.9.39.1676
246222.9.39.168/29222.9.39.169 to 222.9.39.174222.9.39.1756
247222.9.39.176/29222.9.39.177 to 222.9.39.182222.9.39.1836
248222.9.39.184/29222.9.39.185 to 222.9.39.190222.9.39.1916
249222.9.39.192/29222.9.39.193 to 222.9.39.198222.9.39.1996
250222.9.39.200/29222.9.39.201 to 222.9.39.206222.9.39.2076
251222.9.39.208/29222.9.39.209 to 222.9.39.214222.9.39.2156
252222.9.39.216/29222.9.39.217 to 222.9.39.222222.9.39.2236
253222.9.39.224/29222.9.39.225 to 222.9.39.230222.9.39.2316
254222.9.39.232/29222.9.39.233 to 222.9.39.238222.9.39.2396
255222.9.39.240/29222.9.39.241 to 222.9.39.246222.9.39.2476
256222.9.39.248/29222.9.39.249 to 222.9.39.254222.9.39.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses